#ifndef FUNC_HPP
#define FUNC_HPP

#include "probs.hpp"
#include "alt.hpp"

#include <sstream>

#include <gsl/gsl_integration.h>
#include <gsl/gsl_sf_erf.h>


double norm(double x,double sd);
double func(double tau, void*d);
double totalprob(details*d);
double totalprime(details*d);


extern "C" void pk_vector(double *pk,double *allpars,const char**target,const char**foil,double * time,int *n);
extern "C" void prime_vector_ml2(double *pk,double *allpars,const char**prime,const char**target,const char**,double * time,int *n);


#endif 

